openapi: 3.0.2
info:
  title: Embed User Farm
  description: User farm REST API that uses the `embedFarmId` for selection
  version: 1.0.0
servers:
  - url: https://api.dasintel.io/embed/v1/user-farm
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
security:
  - x-api-key: [ ]
paths:
  /{embedFarmId}:
    get:
      summary: User Farm Read
      operationId: get-user-farm
      parameters:
        - in: path
          name: embedFarmId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: https://schema.dasintel.io/embed-api/schema/embed-id-read-write-response.json
          description: OK
    put:
      summary: User Farm Write
      operationId: put-user-farm
      parameters:
        - in: path
          name: embedFarmId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: https://schema.dasintel.io/embed-api/schema/embed-id-write-request.json
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: https://schema.dasintel.io/embed-api/schema/embed-id-read-write-response.json
          description: OK
